Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.transform.dom
Class DOMSource

    java.lang.Object
      |
      +--javax.xml.transform.dom.DOMSource

All Implemented Interfaces:
  Source

public class DOMSource
extends java.lang.Object
implements Source

DOM Source

Version:
  1.0
Author:
  Andrew Selkirk

Field Summary
`static java.lang.String` | `FEATURE`

Constructor Summary
`DOMSource()`
`DOMSource(Node node)`
`DOMSource(Node node, java.lang.String systemID)`

Method Summary
`Node` | `getNode()`
`java.lang.String` | `getSystemId()` Returns the URI for this source.
`void` | `setNode(Node node)`
`void` | `setSystemId(java.lang.String systemID)` Associates a URI with this source.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FEATURE

    public static final java.lang.String FEATURE

Constructor Detail

### DOMSource

    public DOMSource()

### DOMSource

    public DOMSource(Node node)

### DOMSource

    public DOMSource(Node node,
                     java.lang.String systemID)

Method Detail

### setNode

    public void setNode(Node node)

### getNode

    public Node getNode()

### setSystemId

    public void setSystemId(java.lang.String systemID)

  Description copied from interface: `Source`
  Associates a URI with this source.
  Specified by:
    `setSystemId` in interface `Source`
  Following copied from interface: `javax.xml.transform.Source`
  Parameters:
    `systemID` - the URI

### getSystemId

    public java.lang.String getSystemId()

  Description copied from interface: `Source`
  Returns the URI for this source. Some sources may not need URIs, for example ones provided as an input stream, but such URIs are important for resolving relative URIs and for providing usable diagnostics.
  Specified by:
    `getSystemId` in interface `Source`

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Source code is under GPL (with library exception) in the JAXP project at http://www.gnu.org/software/classpathx/jaxp
This documentation was derived from that source code on 2001-11-20.